@import 'rbico/ico';
@import 'rbico/fonts';
@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 700;
  src: url("fonts/IRANSansWeb(FaNum)_Bold.eot");
  src: url("fonts/IRANSansWeb(FaNum)_Bold.eot?#iefix") format("embedded-opentype"), url("fonts/IRANSansWeb(FaNum)_Bold.woff2") format("woff2"), url("fonts/IRANSansWeb(FaNum)_Bold.woff") format("woff"), url("fonts/IRANSansWeb(FaNum)_Bold.ttf") format("truetype")
}

@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 500;
  src: url("fonts/IRANSansWeb(FaNum)_Medium.eot");
  src: url("fonts/IRANSansWeb(FaNum)_Medium.eot?#iefix") format("embedded-opentype"), url("fonts/IRANSansWeb(FaNum)_Medium.woff2") format("woff2"), url("fonts/IRANSansWeb(FaNum)_Medium.woff") format("woff"), url("fonts/IRANSansWeb(FaNum)_Medium.ttf") format("truetype")
}

@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 300;
  src: url("fonts/IRANSansWeb(FaNum)_Light.eot");
  src: url("fonts/IRANSansWeb(FaNum)_Light.eot?#iefix") format("embedded-opentype"), url("fonts/IRANSansWeb(FaNum)_Light.woff2") format("woff2"), url("fonts/IRANSansWeb(FaNum)_Light.woff") format("woff"), url("fonts/IRANSansWeb(FaNum)_Light.ttf") format("truetype")
}

@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 200;
  src: url("fonts/IRANSansWeb(FaNum)_UltraLight.eot");
  src: url("fonts/IRANSansWeb(FaNum)_UltraLight.eot?#iefix") format("embedded-opentype"), url("fonts/IRANSansWeb(FaNum)_UltraLight.woff2") format("woff2"), url("fonts/IRANSansWeb(FaNum)_UltraLight.woff") format("woff"), url("fonts/IRANSansWeb(FaNum)_UltraLight.ttf") format("truetype")
}

@font-face {
  font-family: IRANSans;
  font-style: normal;
  font-weight: 400;
  src: url("fonts/IRANSansWeb(FaNum).eot");
  src: url("fonts/IRANSansWeb(FaNum).eot?#iefix") format("embedded-opentype"), url("fonts/IRANSansWeb(FaNum).woff2") format("woff2"), url("fonts/IRANSansWeb(FaNum).woff") format("woff"), url("fonts/IRANSansWeb(FaNum).ttf") format("truetype")
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
}

body {
  padding: 0 !important;
  margin: 0 !important;
  font-family: IRANSans, -apple-system, apple color emoji, BlinkMacSystemFont, Segoe UI, Oxygen-Sans, Ubuntu, Cantarell, Helvetica Neue, sans-serif;
  // direction: rtl;
  text-align: right;
}

::-webkit-scrollbar {
  display: none;
  /* Chrome, Safari, Opera */
}
* {
  touch-action: pan-y;
}
button:focus,
input:focus {
  outline: none;
}
input,
textarea {
  -webkit-appearance: none;
  appearance: none;
}
:root {
  --primary-color: #3390ec;
  
  --surface-color: #ffffff;
  --line-height: 1.3125;

  --avatar-online-color: #0ac630;

  --chatlist-pinned-color: #a2abb2;
  --badge-text-color: #fff;

  --input-search-border-color: #dfe1e5;

  --chatlist-status-color: var(--avatar-online-color);
}
@keyframes dotMiddle {
  0% {
    transform: scale(0.8333333333);
    opacity: 0.9;
  }
  12.5% {
    transform: scale(0.6666666667);
    opacity: 0.8;
  }
  62.5% {
    transform: scale(0.6666666667);
    opacity: 0.8;
  }
  87.5% {
    transform: scale(1);
    opacity: 1;
  }
  100% {
    transform: scale(0.8333333333);
    opacity: 0.9;
  }
}